Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.afp.extensions
Enum ExtensionPlacement

    java.lang.Object
      java.lang.Enum<ExtensionPlacement>
          org.apache.fop.render.afp.extensions.ExtensionPlacement

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExtensionPlacement>

    public enum ExtensionPlacement

extends java.lang.Enum<ExtensionPlacement>

An enumeration for placement instruction for AFP extensions.

Enum Constant Summary
`BEFORE_END` Place the extension right before the "End" structured field.
`DEFAULT` Place the extension at its default/usual position.

Method Summary
`static ExtensionPlacement` | `fromXMLValue(java.lang.String value)` Returns the enum value from the given XML value for this enumeration.
`java.lang.String` | `getXMLValue()` Returns the XML value that corresponds to this enum value.
`static ExtensionPlacement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExtensionPlacement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final ExtensionPlacement DEFAULT

  Place the extension at its default/usual position.

### BEFORE_END

    public static final ExtensionPlacement BEFORE_END

  Place the extension right before the "End" structured field.

Method Detail

### values

    public static ExtensionPlacement[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExtensionPlacement c : ExtensionPlacement.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExtensionPlacement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getXMLValue

    public java.lang.String getXMLValue()

  Returns the XML value that corresponds to this enum value.

  Returns:
    the XML value

### fromXMLValue

    public static ExtensionPlacement fromXMLValue(java.lang.String value)

  Returns the enum value from the given XML value for this enumeration.

  Parameters:
    `value` - the XML value
  Returns:
    the enum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.